//  Foundation for Emails Settings
//  ------------------------------
//
//  Table of Contents:
//
//   1. Global
//   2. Grid
//   3. Block Grid
//   4. Typography
//   5. Button
//   6. Callout
//   7. Menu
//   8. Thumbnail


// 1. Global
// ---------

$primary-color: #2199e8;
$secondary-color: #777777;
$success-color: #3adb76;
$warning-color: #ffae00;
$alert-color: #ec5840;
$light-gray: #f3f3f3;
$medium-gray: #cacaca;
$dark-gray: #8a8a8a;
$black: #0a0a0a;
$white: #fefefe;
$pre-color: #ff6908;
$global-width: 600px;
$global-width-small: 95%;
$global-gutter: 24px;
$body-background: $light-gray;
$container-background: $white;
$global-padding: 0px;
$global-margin: 0px;
$global-radius: 3px;
$global-rounded: 500px;
$global-breakpoint: $global-width + $global-gutter;

// 2. Grid
// -------

$grid-column-count: 12;
$column-padding-bottom: $global-padding;
$container-radius: 0;

// 3. Block Grid
// -------------

$block-grid-max: 8;
$block-grid-gutter: $global-gutter;

// 4. Typography
// -------------

$global-font-color: $black;
$body-font-family: Helvetica, Arial, sans-serif;
$global-font-weight: normal;
$header-color: inherit;
$global-line-height: 1;
$global-font-size: 16px;
$body-line-height: $global-line-height;
$header-font-family: $body-font-family;
$header-font-weight: $global-font-weight;
$h1-font-size: 34px;
$h2-font-size: 30px;
$h3-font-size: 28px;
$h4-font-size: 24px;
$h5-font-size: 20px;
$h6-font-size: 18px;
$header-margin-bottom: 0px;
$paragraph-margin-bottom: 0px;
$small-font-size: 80%;
$small-font-color: $medium-gray;
$lead-font-size: $global-font-size * 1.25;
$lead-line-height: 1;
$text-padding: 0px;
$subheader-lineheight: 1.4;
$subheader-color: $dark-gray;
$subheader-font-weight: $global-font-weight;
$subheader-margin-top: 0px;
$subheader-margin-bottom: 0px;
$hr-width: $global-width;
$hr-border: 1px solid $black;
$hr-margin: 00px auto;
$anchor-text-decoration: none;
$anchor-color: $primary-color;
$anchor-color-visited: $anchor-color;
$anchor-color-hover: darken($primary-color, 10%);
$anchor-color-active: $anchor-color-hover;
$stat-font-size: 40px;

// 5. Button
// ---------

$button-padding: (
  tiny: 4px 8px 4px 8px,
  small: 5px 10px 5px 10px,
  default: 8px 16px 8px 16px,
  large: 10px 20px 10px 20px,
);
$button-font-size: (
  tiny: 10px,
  small: 12px,
  default: 16px,
  large: 20px,
);
$button-color: $white;
$button-color-alt: $medium-gray;
$button-font-weight: bold;
$button-margin: 0 0 $global-margin 0;
$button-background: $primary-color;
$button-border: 2px solid $button-background;
$button-radius: $global-radius;
$button-rounded: $global-rounded;

// 6. Callout
// ----------

$callout-background: $white;
$callout-background-fade: 85%;
$callout-padding: 10px;
$callout-margin-bottom: $global-margin;
$callout-border: 1px solid darken($callout-background, 20%);
$callout-border-secondary: 1px solid darken($secondary-color, 20%);
$callout-border-success: 1px solid darken($success-color, 20%);
$callout-border-warning: 1px solid darken($warning-color, 20%);
$callout-border-alert: 1px solid darken($alert-color, 20%);

// 7. Menu
// -------

$menu-item-padding: 0px;
$menu-item-gutter: 10px;
$menu-item-color: $primary-color;

// 8. Thumbnail
// ------------

$thumbnail-border: solid 4px $white;
$thumbnail-margin-bottom: $global-margin;
$thumbnail-shadow: 0 0 0 1px rgba($black, 0.2);
$thumbnail-shadow-hover: 0 0 6px 1px rgba($primary-color, 0.5);
$thumbnail-transition: box-shadow 200ms ease-out;
$thumbnail-radius: $global-radius;



.articlesHeading {

  p, a {
    padding-top: 36px;
    padding-bottom: 36px;
    margin-bottom: 0;
  }

  p {
    font-family: Georgia, 'Times New Roman', Times, serif;
    font-size: 21px;
    line-height: 1.33;
    letter-spacing: -0.5px;
    color: #0c0c0c;
    font-weight: bold;
  }

  a {
    font-size: 13px;
    line-height: 2.31;
  }
}


// article general




.article {
  
    &__tags {
      font-size: 11px;
      font-weight: bold;
      text-transform: uppercase;
      color: #a5a5a5;
      margin-bottom: 8px;
      text-decoration: underline;
    }
  
    &__listItem {
      display: inline-block;
    }

    &__type {
      font-size: 11px;
      padding: 6px 10px;
      background-color: #cc0000;
      display: inline-block;
      color: white;
      font-weight: bold;
    }
  
    &__heading {
      font-size: 18px;
      line-height: 1.44;
      color: #0c0c0c;
      font-family: Georgia, 'Times New Roman', Times, serif;
      font-weight: bold;
      margin-bottom: 11px;
    }

    &__imgHeading {
    
      img {
        display: inline;
        vertical-align: top; // provjera
        margin-right: 17px;
      }
    }
  
    &__date {
      font-size: 11px;
      font-weight: 500;
      color: #7c7c7c;
      margin-bottom: 26px;
    }
  
    &__text {
      font-size: 13px;
      line-height: 1.54;
      margin-bottom: 40px;
    }
  }

  .imgBox {
  position: relative;
  margin-bottom: 25px;

  .articleRedLabel {
    position: absolute;
    left: 21px;
    margin-top: 20px;
    position: absolute;
    top: 0;
  }
}


.redLabel {
  font-size: 11px;
  font-weight: bold;
  text-align: center;
  color: #ffffff;
  background-color: #cc0000;
  padding: 7px;
  text-transform: uppercase;
  margin-top: 70px;
}